Avro C++

Public Member Functions | Static Public Attributes | List of all members
avro::concepts::MultiAttribute< Attribute > Struct Template Reference

## Public Member Functions
| MultiAttribute (const SingleAttribute< Attribute > &rhs)
| MultiAttribute (const MultiAttribute< Attribute > &rhs)
| MultiAttribute (const NoAttribute< Attribute > &rhs)
size_t | size () const
void | add (const Attribute &attr)
const Attribute & | get (size_t index=0) const
Attribute & | get (size_t index)

## Static Public Attributes
static const bool | hasAttribute = true

The documentation for this struct was generated from the following file:

- api/NodeConcepts.hh